Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions(), NavigationItem(False), CreatableItem(False)> _
Public Class GLReportXML
    Inherits BaseObject

    Private _GLReport As GLReport
    Private _ViewID As String
    Private _XMLInfo As String

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
        ' This constructor is used when an object is loaded from a persistent storage.
        ' Do not place any code here or place it only when the IsLoading property is false:
        ' if (!IsLoading){
        '   It is now OK to place your initialization code here.
        ' }
        ' or as an alternative, move your initialization code into the AfterConstruction method.
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        ' Place here your initialization code.
    End Sub

    Property GLReport As GLReport
        Get
            Return _GLReport
        End Get
        Set(value As GLReport)
            SetPropertyValue("GLReport", _GLReport, value)
        End Set
    End Property
    <Size(-1)> _
    Property ViewID As String
        Get
            Return _ViewID
        End Get
        Set(value As String)
            SetPropertyValue("ViewID", _ViewID, value)
        End Set
    End Property
    <Size(-1)> _
    Property XMLInfo As String
        Get
            Return _XMLInfo
        End Get
        Set(value As String)
            SetPropertyValue("XMLInfo", _XMLInfo, value)
        End Set
    End Property
End Class
